from flask import request
from flask_restx import Resource, Namespace

from app.functions.roll_mental_attack import roll_mental_attack

namespace = Namespace('gameplay', description='Gamma World Rules')


@namespace.route('/attack/mental')  # resolves to: /gameplay/attack/mental
class MentalAttack(Resource):
    @namespace.doc(params={'ams': 'Attacker Mental Strength',
                           'dms': 'Defender Mental Strength',
                           'modifier': 'Roll Modifier'})
    def get(self):
        ams = request.args.get('ams', type=int)
        dms = request.args.get('dms', type=int)
        modifier = request.args.get('modifier', type=int)
        # Validate params here
        return roll_mental_attack(ams, dms, modifier), 200
